<?php
include "../session.php"; 

include "conect.php";


$clienteCod = $_POST['codeConsult'];
$codigoRespuesta = $_POST['codigoRespuesta'];
$mensajeRespuesta = $_POST['mensajeRespuesta'];
$empleadoID = $_POST['empleadoID'];
$codigo = $_POST['codigo'];
$nombres = $_POST['nombres'];
$apellidos = $_POST['apellidos'];
$extra1 = $_POST['extra1'];
$extra2 = $_POST['extra2'];
$extra2 = $_POST['extra2'];


date_default_timezone_set('America/Guatemala');
$date = date("Y-m-d");
$hora = date('h:i:s');

$consulta = mysqli_query($con, "SELECT * FROM asociados WHERE (BARCODE = '$clienteCod' OR CODIGO = '$clienteCod')");
$conteo = mysqli_num_rows($consulta);

if ($conteo > 0) {
    while ($row3 = mysqli_fetch_array($consulta)) {
        $user = $row3['NAME'];
        $codigo = $row3['CODIGO'];
        $barcode = $row3['BARCODE'];
        $statusConsult = $row3['STATUS'];
    }
    
    if ($statusConsult == "activo" && $codigoRespuesta == 2) {

        if (actualizarRegistro($con, $codigo)) {
            $consultaActualizacion = consultarAsociado($con, $clienteCod);
            $conteoGuardado = mysqli_num_rows($consultaActualizacion);
            
            if ($conteoGuardado > 0) {
                while ($rowActualizado = mysqli_fetch_array($consultaActualizacion)) {
                    $user2 = $rowActualizado['NAME'];
                    $codigo2 = $rowActualizado['CODIGO'];
                    $barcode2 = $rowActualizado['BARCODE'];
                    $statusConsult2 = $rowActualizado['STATUS'];
                    // Realizar operaciones con los datos guardados
                }
        
                if ($statusConsult2 == "inactivo") {
                    echoDesafiliadoAct();
                    echo ('<br>'.$user2);

                } else {
                    echoError();
                }
            }
        } else {
            echoError();
        }
    
    } else if ($statusConsult == "inactivo" && $codigoRespuesta == 2) {
        // Ya está actualizado
        echoDesafiliadoAct();
        echo ('<br>'.$user);
    }
} else {
    echoError();
}



function actualizarRegistro($con, $codigo) {
    $actualizacion = mysqli_query($con, "UPDATE asociados SET STATUS = 'inactivo' WHERE CODIGO = '$codigo'");
    return $actualizacion;
}

function consultarAsociado($con, $clienteCod) {
    return mysqli_query($con, "SELECT * FROM asociados WHERE (BARCODE = '$clienteCod' OR CODIGO = '$clienteCod')");
}


function echoError() {
    echo 1;
}

function echoDesafiliado() {
    echo ("El codigo de cliente no aparece como asociado");
}

function echoDesafiliadoAct() {
    echo ("codigo ha dejado de ser asociado");
}


?>
